<!doctype html public "-/w3c/dtd html 4.0 transitional/en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
   <title>LDAS database description</title>
</head>
<body>

<pre><b><font size=+2>LDAS Database</font></b></pre>

<ul>
<li>
<b><font size=+1>Table definitions</font></b></li>
<p>
The concept of the LDAS database tables listed here is described in Technical Note <i>LIGO-T990101-010E</i>,
<a href="http://www.ligo.caltech.edu/docs/T/T990101-02.pdf">
Table Definitions for LDAS Metadata/Event Database.</a> 
<p>The tables can be categorized by type of information stored into the following groups:

<p>
<center>
<font face="ARIAL,HELVETICA">
<a href=#process>Process</a> |
<a href=#rawdata>Metadata about Raw Data</a> |
<a href=#summaryinfo>Summary Information</a> |
<a href=#trigsevents>AstroPhysics Events and GDS Triggers</a> |
<a href=#dataruns>Data Runs</a> 
<p>
</center>
A brief description of each table is given, with the sql defintion for the 
creation of the table, an example of an LDAS ilwd format file to insert 10 rows of the table
into the database via the LDAS system and the corresponding XML format which
is the external input to LDAS  <p>
</font>
<A name="process"></A>
<ul>
<li>
<p>
&nbsp;Process</li>
<p>
The process table stores information about a specific invocation of a program; the input
parameters for a given process is stored in the process_params table.</font>
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/process.sql">process</a></th>
    <td><a href="../text/process10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/process10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/process_params.sql">process_params</th>
    <td><a href="../text/process_params10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/process_params10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
<p>
<A name="rawdata"></A>
<li>
<p>
&nbsp;MetaData about Raw Data</li>
<p>
<ul>
<li>Framesets&nbsp;
<p>
The Framesets tables hold information about frames which are built from raw data;
basic information is stored in frameset table, while information about its orgin
is stored in frameset_writer, its contents in frameset_chanlist and locations in
frameset_loc. 

<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/frameset_chanlist.sql">frameset_chanlist</a></th>
    <td><a href="../text/frameset_chanlist10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/frameset_chanlist10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/frameset_writer.sql">frameset_writer</th>
    <td><a href="../text/frameset_writer10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/frameset_writer10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/frameset.sql">frameset</a></th>
    <td><a href="../text/frameset10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/frameset10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/frameset_loc.sql">frameset_loc</th>
    <td><a href="../text/frameset_loc10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/frameset_loc10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
<p>
<li>Segments&nbsp;
<p>
The Segment tables contains information for logical construct of data based on common property e.g.
duration when an inferometer is locked; segment_definer and segment tables are 
analogous to frameset_writer and frameset tables. 

<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/segment_definer.sql">segment_definer</a></th>
    <td><a href="../text/segment_definer10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/segment_definer10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/segment.sql">segment</th>
    <td><a href="../text/segment10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/segment10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
<p>
<A name="summaryinfo"></A>
<li>
&nbsp;Summary Information</li>
<p>
The Summary tables store various summary information about intervals of data: scalar
values, statistics, spectra, text comments and arbitrary binary objects. </font><p>
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/summ_value.sql">summ_value</a></th>
    <td><a href="../text/summ_value10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/summ_value10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/summ_statistics.sql">summ_statistics</th>
    <td><a href="../text/summ_statistics10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/summ_statistics10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/summ_spectrum.sql">summ_spectrum</a></th>
    <td><a href="../text/summ_spectrum10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/summ_spectrum10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/summ_comment.sql">summ_comment</th>
    <td><a href="../text/summ_comment10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/summ_comment10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/summ_csd.sql">summ_csd</th>
    <td><a href="../text/summ_csd10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/summ_csd10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/summ_mime.sql">summ_mime</th>
    <td><a href="../text/summ_mime10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/summ_mime10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/search_summary.sql">search_summary</th>
    <td><a href="../text/search_summary10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/search_summary10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/search_summvars.sql">search_summvars</th>
    <td><a href="../text/search_summvars10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/search_summvars10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
<A name="trigsevents"></A>
<p>
<li>
&nbsp;Astrophysics events and GDS Triggers</li>
<A name="trigsevents"></A>
<p>
The event tables hold results of astrophysics searches  of defined sources such as
inspiral, bursts, ringdowns, directedperiodic, and unmodeled-sources. The filters
applied for the searches are stored in the filters tables. The simulation parameters
and calibration information are also stored in tables.</font><p>
<p>
<p>
<ul>
<li>Filters&nbsp;
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/filter.sql">filter</a></th>
    <td><a href="../text/filter10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/filter10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/filter_params.sql">filter_params</th>
    <td><a href="../text/filter_params10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/filter_params10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
<p>
<li>Simulation&nbsp;
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/sim_type.sql">sim_type</a></th>
    <td><a href="../text/sim_type10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sim_type10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sim_type_params.sql">sim_type_params</th>
    <td><a href="../text/sim_type_params10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sim_type_params10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sim_inst.sql">sim_inst</a></th>
    <td><a href="../text/sim_inst10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sim_inst10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sim_inst_params.sql">sim_inst_params</th>
    <td><a href="../text/sim_type_params10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sim_type_params10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table><p>
<li>Calibration&nbsp;
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/calib_info.sql">calib_info</a></th>
    <td><a href="../text/calib_info10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/calib_info10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
<p>
<li>GDS Trigger&nbsp;
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/gds_trigger.sql">gds trigger</a></th>
    <td><a href="../text/gds_trigger10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/gds_trigger10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/exttrig_search.sql">exttrig_search</a></th>
    <td><a href="../text/exttrig_search10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/exttrig_search10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
<p>
<li>Single-Inferometer Astrophysics Events&nbsp;
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/sngl_burst.sql">sngl_burst</a></th>
    <td><a href="../text/sngl_burst10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_burst10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_dperiodic.sql">sngl_dperiodic</a></th>
    <td><a href="../text/sngl_dperiodic10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_dperiodic10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_inspiral.sql">sngl_inspiral</a></th>
    <td><a href="../text/sngl_inspiral10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_inspiral10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>

<tr>
    <th align=left width=200><a href="../text/sngl_ringdown.sql">sngl_ringdown</a></th>
    <td><a href="../text/sngl_ringdown10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_ringdown10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_unmodeled.sql">sngl_unmodeled</a></th>
    <td><a href="../text/sngl_unmodeled10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_unmodeled10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_unmodeled_v.sql">sngl_unmodeled_v</a></th>
    <td><a href="../text/sngl_unmodeled_v10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_unmodeled_v10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_inspiral.sql">sngl_datasource</a></th>
    <td><a href="../text/sngl_datasource10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_datasource10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_inspiral.sql">sngl_transdata</a></th>
    <td><a href="../text/sngl_transdata10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_transdata10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_mime.sql">sngl_mime</a></th>
    <td><a href="../text/sngl_mime10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_mime10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/sngl_block.sql">sngl_block</a></th>
    <td><a href="../text/sngl_block10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/sngl_block10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/waveburst.sql">waveburst</a></th>
    <td><a href="../text/waveburst10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/waveburst10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/waveburst_mime.sql">waveburst_mime</a></th>
    <td><a href="../text/waveburst_mime10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/waveburst_mime10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
</ul>
<p>
<ul>
<li>Multi-Inferometer Astrophysics Events&nbsp;
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/multi_inspiral.sql">multi_inspiral</a></th>
    <td><a href="../text/multi_inspiral10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/multi_inspiral10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
<tr>
    <th align=left width=200><a href="../text/multi_burst.sql">multi_burst</th>
    <td><a href="../text/multi_burst10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/multi_burst10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
</ul>
</ul>
<A name="dataruns"></A>
<p>
<li>Data Runs&nbsp;
<p>This table contains the list of data runs.
<p>
<table cellpadding=2>
<tr>
    <th align=left width=200><a href="../text/runlist.sql">runlist</a></th>
    <td><a href="../text/runlist10.ilwd"><font size=-1><i>ilwd example</i></font></a></td>
    <td><a href="../text/runlist10.xml"><font size=-1><i>xml example</i></font></a></td>
</tr>
</table>
</ul>
<p>
<li>
&nbsp;<a href="../pdf/TableGraph_v02.pdf"><b><font size=+1>Table relations</font></b></a></li>
<p>The cross-reference relationship among the ldas tables is depicted in this diagram. 
<p>
<li>
&nbsp;<b><font size=+1>Data Insertion formats</b></font></a></li>
<ol><p>
<li><a href='ilwdformat.html'>Directly using ILwd (LIGO Internal Light Weight objects)</a></li>
<p>
<li><a href='xmlformat.html'>Indirectly using XML (via ligolwAPI)</a></li>
<p></font>
</ol>
</ul>
<ul>
<hr width=100%>
<address>Last modified Oct 4th, 2001<br>
<p>Suggestions or Comments? Please Contact&nbsp; <a href="mailto:mlei@ligo.caltech.edu">mlei@ligo.caltech.edu</a>
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
<br>&nbsp;
</body>
</html>
